%define version  0.4.2
%define release  2.snap
%define snapdate 2003-08-19

Summary:      A set of audio plugins for LADSPA.
Name:         swh-plugins
Version:      %{version}
Release:      %{?release_prefix:%{release_prefix}.}%{release}%{?release_suffix:.%{release_suffix}}
Copyright:    GPL
Group:        Applications/Multimedia
%if "%{snapdate}" == "%{nil}"
Source:       http://plugin.org.uk/releases/%{version}/swh-plugins-%{version}.tar.gz
%else
Source:       http://plugin.org.uk/snapshots/swh-plugins-%{snapdate}.tar.gz
%endif
BuildRoot:    %{_tmppath}/%{name}-buildroot
Requires:     ladspa-sdk
Packager:     Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
Distribution: Planet CCRMA

%description
A set of audio plugins for LADSPA (see http://plugin.org.uk/ for more
details).
%if "%{snapdate}" != "%{nil}"
This release is based on the %{snapdate} snapshot.
%endif

%prep
%setup

%build
./configure --prefix=%{_prefix}
make static

%install
rm -rf $RPM_BUILD_ROOT
make INSTALL_ROOT="$RPM_BUILD_ROOT" pkgbindir=%{_libdir}/ladspa install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%dir %{_libdir}/ladspa
%{_libdir}/ladspa/*.so

%changelog
* Sat Oct 11 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.2-2
- updated to snapshot of 2003-08-19, jackEq requires dj_eq_1901
* Mon Jun  2 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.2-1
- updated to 0.4.2
* Tue Apr  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.0-2
- rebuilt for newer version of fftw
* Tue Apr  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.0-1
- updated to 0.4.0
* Fri Mar  7 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.7-1
- updated to 0.3.7
* Mon Jan 13 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.6-1
- updated to 0.3.6... boy, this is movin fast :-)
* Fri Jan 10 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.5
- updated to 0.3.5... should have waited :-)
* Thu Jan  9 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.4
- updated to 0.3.4
* Wed Dec 06 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.3
- updated to 0.3.3
* Wed Dec 04 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.2
- updated to 0.3.2
* Fri Nov  1 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.0
- updated to 0.3.0
* Fri Sep 06 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- updated to 0.2.8
* Fri Jan 18 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- updated to 0.2.3
- changed to globbing of .so files
* Thu Aug 23 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- added prefix, cleanup
